package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import java.util.List;

import com.ruoyi.mall.domain.vo.MallCartGoodsVO;
import com.ruoyi.mall.domain.vo.MallOrderGoodsVO;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 订单对象 mall_order_order
 * 
 * @author chang
 * @date 2021-11-25
 */
public class MallOrderOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 会员ID */
    private Long userId;

    /** 邮费 */
    private BigDecimal postFee;

    /** 订单原价 */
    @Excel(name = "订单原价")
    private BigDecimal orderPrice;

    /** 实付金额 */
    @Excel(name = "实付金额")
    private BigDecimal payment;

    /** 订单状态0=待支付,1=待发货,2=待收货,3=待评论,4=已完成,5=退货中,6=退货成功,7=换货中,8=已取消 */
    @Excel(name = "订单状态0=待支付,1=待发货,2=待收货,3=待评论,4=已完成,5=退货中,6=退货成功,7=换货中,8=已取消")
    private String status;

    /** 下单时间 */
    @Excel(name = "下单时间")
    private String createAt;

    /** 支付时间 */
    @Excel(name = "支付时间")
    private String payAt;

    /** 支付类型: 0 未支付 1 支付宝 2 微信 */
    @Excel(name = "支付类型: 0 未支付 1 支付宝 2 微信")
    private String payType;

    /** 发货时间 */
    private String consignAt;

    /** 确认收货时间 */
    private String enterAt;

    /** 退货时间 */
    private String returnAt;

    /** 完成时间 */
    private String completeAt;

    /** 快递公司代号 */
    private String shippingMark;

    /** 物流名称 */
    private String shippingName;

    /** 物流单号 */
    private String shippingCode;

    /** 买家留言 */
    @Excel(name = "买家留言")
    private String buyerMsg;

    /** 是否申请退款0=不是,1=是 */
    @Excel(name = "是否申请退款0=不是,1=是")
    private String isRefund;

    /** 收件人 */
    private String receiverName;

    /** 电话 */
    private String receiverPhone;

    /** 省份 */
    private String receiverProvince;

    /** 城市 */
    private String receiverCity;

    /** 区县 */
    private String receiverArea;

    /** 地址 */
    private String receiverAddress;

    /** 年份 */
    private String year;

    /** 月份 */
    private String month;

    /** 年月日 */
    private String day;

    private MallOrderBack orderBack;

    /** 删除标记 0 正常 1 删除 */
    private String delFlag;

    private String isChangeAddress;

    private List<MallOrderGoodsVO> goodsVOList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOrderNo(String orderNo) 
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo() 
    {
        return orderNo;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setPostFee(BigDecimal postFee) 
    {
        this.postFee = postFee;
    }

    public BigDecimal getPostFee() 
    {
        return postFee;
    }
    public void setOrderPrice(BigDecimal orderPrice) 
    {
        this.orderPrice = orderPrice;
    }

    public BigDecimal getOrderPrice() 
    {
        return orderPrice;
    }
    public void setPayment(BigDecimal payment) 
    {
        this.payment = payment;
    }

    public BigDecimal getPayment() 
    {
        return payment;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCreateAt(String createAt) 
    {
        this.createAt = createAt;
    }

    public String getCreateAt() 
    {
        return createAt;
    }
    public void setPayAt(String payAt) 
    {
        this.payAt = payAt;
    }

    public String getPayAt() 
    {
        return payAt;
    }
    public void setPayType(String payType) 
    {
        this.payType = payType;
    }

    public String getPayType() 
    {
        return payType;
    }
    public void setConsignAt(String consignAt) 
    {
        this.consignAt = consignAt;
    }

    public String getConsignAt() 
    {
        return consignAt;
    }
    public void setEnterAt(String enterAt) 
    {
        this.enterAt = enterAt;
    }

    public String getEnterAt() 
    {
        return enterAt;
    }
    public void setReturnAt(String returnAt) 
    {
        this.returnAt = returnAt;
    }

    public String getReturnAt() 
    {
        return returnAt;
    }
    public void setCompleteAt(String completeAt) 
    {
        this.completeAt = completeAt;
    }

    public String getCompleteAt() 
    {
        return completeAt;
    }
    public void setShippingMark(String shippingMark) 
    {
        this.shippingMark = shippingMark;
    }

    public String getShippingMark() 
    {
        return shippingMark;
    }
    public void setShippingName(String shippingName) 
    {
        this.shippingName = shippingName;
    }

    public String getShippingName() 
    {
        return shippingName;
    }
    public void setShippingCode(String shippingCode) 
    {
        this.shippingCode = shippingCode;
    }

    public String getShippingCode() 
    {
        return shippingCode;
    }
    public void setBuyerMsg(String buyerMsg) 
    {
        this.buyerMsg = buyerMsg;
    }

    public String getBuyerMsg() 
    {
        return buyerMsg;
    }
    public void setIsRefund(String isRefund) 
    {
        this.isRefund = isRefund;
    }

    public String getIsRefund() 
    {
        return isRefund;
    }
    public void setReceiverName(String receiverName) 
    {
        this.receiverName = receiverName;
    }

    public String getReceiverName() 
    {
        return receiverName;
    }
    public void setReceiverPhone(String receiverPhone) 
    {
        this.receiverPhone = receiverPhone;
    }

    public String getReceiverPhone() 
    {
        return receiverPhone;
    }
    public void setReceiverProvince(String receiverProvince) 
    {
        this.receiverProvince = receiverProvince;
    }

    public String getReceiverProvince() 
    {
        return receiverProvince;
    }
    public void setReceiverCity(String receiverCity) 
    {
        this.receiverCity = receiverCity;
    }

    public String getReceiverCity() 
    {
        return receiverCity;
    }
    public void setReceiverArea(String receiverArea) 
    {
        this.receiverArea = receiverArea;
    }

    public String getReceiverArea() 
    {
        return receiverArea;
    }
    public void setReceiverAddress(String receiverAddress) 
    {
        this.receiverAddress = receiverAddress;
    }

    public String getReceiverAddress() 
    {
        return receiverAddress;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setMonth(String month) 
    {
        this.month = month;
    }

    public String getMonth() 
    {
        return month;
    }
    public void setDay(String day) 
    {
        this.day = day;
    }

    public String getDay() 
    {
        return day;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<MallOrderGoodsVO> getGoodsVOList() {
        return goodsVOList;
    }

    public void setGoodsVOList(List<MallOrderGoodsVO> goodsVOList) {
        this.goodsVOList = goodsVOList;
    }

    public String getIsChangeAddress() {
        return isChangeAddress;
    }

    public void setIsChangeAddress(String isChangeAddress) {
        this.isChangeAddress = isChangeAddress;
    }

    public MallOrderBack getOrderBack() {
        return orderBack;
    }

    public void setOrderBack(MallOrderBack orderBack) {
        this.orderBack = orderBack;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderNo", getOrderNo())
            .append("userId", getUserId())
            .append("postFee", getPostFee())
            .append("orderPrice", getOrderPrice())
            .append("payment", getPayment())
            .append("status", getStatus())
            .append("createAt", getCreateAt())
            .append("payAt", getPayAt())
            .append("payType", getPayType())
            .append("consignAt", getConsignAt())
            .append("enterAt", getEnterAt())
            .append("returnAt", getReturnAt())
            .append("completeAt", getCompleteAt())
            .append("shippingMark", getShippingMark())
            .append("shippingName", getShippingName())
            .append("shippingCode", getShippingCode())
            .append("buyerMsg", getBuyerMsg())
            .append("isRefund", getIsRefund())
            .append("receiverName", getReceiverName())
            .append("receiverPhone", getReceiverPhone())
            .append("receiverProvince", getReceiverProvince())
            .append("receiverCity", getReceiverCity())
            .append("receiverArea", getReceiverArea())
            .append("receiverAddress", getReceiverAddress())
            .append("year", getYear())
            .append("month", getMonth())
            .append("day", getDay())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
